## videoflip videoflip — Flips and rotates video |

## Synopsis

    struct              GstVideoFlip;
    enum                GstVideoFlipMethod;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstVideoFlip

## Properties

      "method"                   GstVideoFlipMethod    : Read / Write

## Description

Flips and rotates video.

### Example launch line

    1
    gst-launch-1.0 videotestsrc ! videoflip method=clockwise ! videoconvert ! ximagesink

This pipeline flips the test image 90 degrees clockwise.

Last reviewed on 2010-04-18 (0.10.22)

## Synopsis

### Element Information

plugin | videofilter
author | David Schleef <ds@schleef.org>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ AYUV, ARGB, BGRA, ABGR, RGBA, Y444, xRGB, RGBx, xBGR, BGRx, RGB, BGR, I420, YV12, IYUV, YUY2, UYVY, YVYU, NV12, NV21, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ AYUV, ARGB, BGRA, ABGR, RGBA, Y444, xRGB, RGBx, xBGR, BGRx, RGB, BGR, I420, YV12, IYUV, YUY2, UYVY, YVYU, NV12, NV21, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstVideoFlip

    struct GstVideoFlip;

Opaque datastructure.

### enum GstVideoFlipMethod

    typedef enum {
      GST_VIDEO_FLIP_METHOD_IDENTITY,
      GST_VIDEO_FLIP_METHOD_90R,
      GST_VIDEO_FLIP_METHOD_180,
      GST_VIDEO_FLIP_METHOD_90L,
      GST_VIDEO_FLIP_METHOD_HORIZ,
      GST_VIDEO_FLIP_METHOD_VERT,
      GST_VIDEO_FLIP_METHOD_TRANS,
      GST_VIDEO_FLIP_METHOD_OTHER
    } GstVideoFlipMethod;

The different flip methods.

`GST_VIDEO_FLIP_METHOD_IDENTITY` | Identity (no rotation)
`GST_VIDEO_FLIP_METHOD_90R` | Rotate clockwise 90 degrees
`GST_VIDEO_FLIP_METHOD_180` | Rotate 180 degrees
`GST_VIDEO_FLIP_METHOD_90L` | Rotate counter-clockwise 90 degrees
`GST_VIDEO_FLIP_METHOD_HORIZ` | Flip horizontally
`GST_VIDEO_FLIP_METHOD_VERT` | Flip vertically
`GST_VIDEO_FLIP_METHOD_TRANS` | Flip across upper left/lower right diagonal
`GST_VIDEO_FLIP_METHOD_OTHER` | Flip across upper right/lower left diagonal

## Property Details

### The `"method"` property

      "method"                   GstVideoFlipMethod    : Read / Write

method.

Default value: Identity (no rotation)